Subject: bug#53739: 28.0.91; "C-x d" fails when "emacs -Q" starts on NetBSD with plan9/bin on head of PATH

From: Van Ly <[email-masked]>
Date: Sat, 5 Feb 2022 09:04:29 +0000 (UTC)

On Sat, 5 Feb 2022, Eli Zaretskii wrote:

>> In the case of Plan9's ls what is needed is to leave out the "-a" switch.
>
> Which means "C-u C-x d" should fix your use case nicely.  You can also
> customize dired-listing-switches in your init file, if you intend to
> use this version of 'ls' routinely.  It's a defcustom for this very
> reason.
>
> Bottom line: I think we can close this bug with no further action.
>

Thanks.

Another fix is to re-order Emacs's exec-path and put plan9/bin second 
last at the bottom.  Emacs could DWIM to the exec-path on seeing 
plan9/bin at the top.

-- 
vl